@echo off
cls
echo Blind Justice demo self-extractor
echo Version 1.1
echo 
echo This batch file will extract all of the Blind Justice
echo game files.
echo 
echo Searching for game files...
if exist JUSTICE1.EXE goto :gamenote
if not exist JUSTICE1.EXE goto :nogamenote
:returngamenote
if exist BJSOUND.ZIP goto :soundnote
if not exist BJSOUND.ZIP goto :nosoundnote
echo 
:returnsoundnote
echo 
goto :install

:nogamenote
echo 
echo The game component files have NOT been found. Please re-unzip the
echo original demo .zip files.
echo Missing: JUSTICE1.EXE or JUSTICE2.EXE
goto :returngamenote

:nosoundnote
echo 
echo BJSOUND.ZIP not found. The sound add-on will not be installed.
goto :returnsoundnote

:gamenote
echo 
echo The game component files have been found. They will be extracted.
goto :returngamenote

:soundnote
echo 
echo The sound add-on has been found! This will also be extracted.
goto :returnsoundnote

:install
echo Press CONTROL-C followed by Y to abort, or ...
pause

if exist JUSTICE1.EXE JUSTICE1.EXE -d
if exist JUSTICE2.EXE JUSTICE2.EXE -d
if exist BJSOUND.ZIP PKUNZIP BJSOUND.ZIP -d

del justice1.exe >nul
del justice2.exe >nul
del pkunzip.exe >nul

setup
cls
call JUSTICE.BAT NEW


